%define name razor-agents
%define version 2.72
%define release 1tr
# %define _unpackaged_files_terminate_build       0
# %define _missing_doc_files_terminate_build      0
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary:	Perl agents and modules for accessing/using Vipul's Razor.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic
Group:		Trustix Official
URL:		http://razor.sourceforge.net/
Requires:	perl >= 5.004
Requires:	perl(Digest::SHA1)
Requires:	perl(Net::Ping)
Requires:	perl(Net::DNS)
Requires:	perl(Time::HiRes)
Requires:	perl(Mail::Internet)
Requires:	perl(Digest::HMAC)
Requires:	perl(Digest::Nilsimsa)
Requires:	perl(Test::Simple)
Requires:	perl(URI)
Source:		http://prdownloads.sourceforge.net/razor/%{name}-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-root

%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%define perldir /usr/lib/perl5/%{perlver}

%description

Vipul's Razor is a distributed, collaborative, spam detection and
filtering network. Razor establishes a distributed and constantly
updating catalogue of spam in propagation. This catalogue is used
by clients to filter out known spam.  Prior to manual processing or
transport-level reception, Razor Filtering Agents (end-users and MTAs)
check their incoming mail against a Catalogue Server and filter out
or deny transport in case of a signature match. Catalogued spam, once
identified and reported by a Reporting Agent, can be blocked out by the
rest of the Filtering Agents on the network.

%prep -q
%setup -q
#%patch0 -p0

%build
perl Makefile.PL PREFIX=%{_prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installsitearch'`
mkdir -p $RPM_BUILD_ROOT/$installsitearch
%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1 INSTALLMAN3DIR=$RPM_BUILD_ROOT%{_mandir}/man3 INSTALLMAN5DIR=$RPM_BUILD_ROOT%{_mandir}/man5 PERL5LIB=$RPM_BUILD_ROOT/$installsitearch pure_perl_install


[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root,0755)
/usr/bin/*
%{perldir}/%{_arch}-linux-thread-multi/Razor2
%{perldir}/%{_arch}-linux-thread-multi/auto/Razor2
%{perldir}/%{_arch}-linux-thread-multi/auto/razor-agents
%{_mandir}/*/*


%changelog
* Mon Jun 20 2005 Hasher J <hasher at comodo dot com> 2.72-1tr
- New Upstream.
- Security Fix:Two vulnerabilities have been  reported in 
  Razor-agents, which can be exploited by malicious  people to
  cause a DoS (Denial of Service).
- An unspecified error in the preprocessing of certain HTML
  messages can be exploited to crash the application.
- A bug in the discovery logic causes Razor-agents to go into
  an infinite loop and consume a large amount of memory when
  discovery fails.

* Thu Dec  9 2004 Erlend Midttun <erlendbm at trustix dot org> 2.67-1tre
- New upstream.

* Tue Nov  9 2004 Erlend Midttun <erlendbm at trustix dot org>
- Now with path specified.

* Thu Oct  4 2004 Erlend Midttun <erlendbm at trustix dot org>
- First time.

